Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510159 - Bug in L3 agent code while cleaning up a router namespace
Summary: Bug in L3 agent code while cleaning up a router namespace
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 8.0 (Liberty)
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: zstream
: 8.0 (Liberty)
Assignee: Brian Haley
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On: 1508091 1510162
Blocks: 1510157
TreeView+ depends on / blocked
 
Reported: 2017-11-06 19:57 UTC by Brian Haley
Modified: 2018-02-05 11:14 UTC (History)
12 users (show)

Fixed In Version: openstack-neutron-7.2.0-27.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1508091
Environment:
Last Closed: 2017-11-29 15:59:16 UTC


Attachments (Terms of Use)
l3-agent.log (deleted)
2017-11-27 13:19 UTC, Toni Freger
no flags Details
openvswitch-agent.log (deleted)
2017-11-27 13:20 UTC, Toni Freger
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3281 normal SHIPPED_LIVE openstack-neutron bug fix advisory 2017-11-29 20:58:44 UTC

Comment 5 Brian Haley 2017-11-16 20:19:14 UTC
Toni - just trying to create a lot of routers quickly is the best way to try, but there is no way to trigger the error path manually.

Comment 9 Toni Freger 2017-11-27 13:19:31 UTC
Created attachment 1359457 [details]
l3-agent.log

Comment 10 Toni Freger 2017-11-27 13:20:09 UTC
Created attachment 1359458 [details]
openvswitch-agent.log

Comment 11 Brian Haley 2017-11-27 20:18:54 UTC
Hi Toni,

This trace from arping is something that has been fixed upstream.  Since the arping is happening asynchronously from a greenthread one second a part three times, sometimes the interface or namespace can be cleaned as it's running.  The upstream code now catches this and prints a better message, not throwing the exception.  OSP9 has part of this fix, but the code has been improved more upstream.

The OVS agent log message seem related to the above.  In most cases I can see the agent complaining about a port not being ready, and that port generating an arping error message.

Neither seems related to the change.

Comment 15 errata-xmlrpc 2017-11-29 15:59:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3281


Note You need to log in before you can comment on or make changes to this bug.